NetFTSynchronization

## Class NetFTDataSynchronization.SynchronizationErrors

- java.lang.Object
- - NetFTSynchronization.NetFTDataSynchronization.SynchronizationErrors

- Enclosing class:
    NetFTDataSynchronization

      public class NetFTDataSynchronization.SynchronizationErrors
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.io.File` | `m_errorLogFile`
    `java.io.BufferedWriter` | `m_errorLogFileBufferedWriter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetFTDataSynchronization.SynchronizationErrors(int sensorCount)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearErrors()`
    `java.lang.String` | `getApplicationError()`
    `java.lang.String` | `getSensorError(int index)`
    `boolean` | `isSensorError(int index)`
    `void` | `reportStatus(int index, int status)`
    `void` | `setApplicationError(java.lang.String err)`
    `void` | `successfulCommunication(int index)`
    `void` | `timeoutOccured(int index)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### m_errorLogFileBufferedWriter

          public volatile java.io.BufferedWriter m_errorLogFileBufferedWriter

    - #### m_errorLogFile

          public volatile java.io.File m_errorLogFile

  - ### Constructor Detail

    - #### NetFTDataSynchronization.SynchronizationErrors

          public NetFTDataSynchronization.SynchronizationErrors(int sensorCount)

  - ### Method Detail

    - #### clearErrors

          public void clearErrors()

    - #### reportStatus

          public void reportStatus(int index,
                          int status)

    - #### timeoutOccured

          public void timeoutOccured(int index)

    - #### successfulCommunication

          public void successfulCommunication(int index)

    - #### getSensorError

          public java.lang.String getSensorError(int index)

    - #### setApplicationError

          public void setApplicationError(java.lang.String err)

    - #### getApplicationError

          public java.lang.String getApplicationError()

    - #### isSensorError

          public boolean isSensorError(int index)